package com.bocloud.cmp.model;

import java.util.Date;

public class VolumeSamplesModel {
    private Long volumeId; // VolumeModel里面的volumeId
    private Double migrateWriteBandwidthKbyte;
    private Double migrateWriteIops;
    private Double migrateWriteLatencyUs;
    private Double readBandwidthKbyte;
    private Double readIops;
    private Double readLatencyUs;
    private Double totalBandwidthKbyte;
    private Double totalIops;
    private Double writeBandwidthKbyte;
    private Double writeIops;
    private Double writeLatencyUs;
    private Date createTime;

    public Long getVolumeId() {
        return volumeId;
    }

    public void setVolumeId(Long volumeId) {
        this.volumeId = volumeId;
    }

    public Double getMigrateWriteBandwidthKbyte() {
        return migrateWriteBandwidthKbyte;
    }

    public void setMigrateWriteBandwidthKbyte(Double migrateWriteBandwidthKbyte) {
        this.migrateWriteBandwidthKbyte = migrateWriteBandwidthKbyte;
    }

    public Double getMigrateWriteIops() {
        return migrateWriteIops;
    }

    public void setMigrateWriteIops(Double migrateWriteIops) {
        this.migrateWriteIops = migrateWriteIops;
    }

    public Double getMigrateWriteLatencyUs() {
        return migrateWriteLatencyUs;
    }

    public void setMigrateWriteLatencyUs(Double migrateWriteLatencyUs) {
        this.migrateWriteLatencyUs = migrateWriteLatencyUs;
    }

    public Double getReadBandwidthKbyte() {
        return readBandwidthKbyte;
    }

    public void setReadBandwidthKbyte(Double readBandwidthKbyte) {
        this.readBandwidthKbyte = readBandwidthKbyte;
    }

    public Double getReadIops() {
        return readIops;
    }

    public void setReadIops(Double readIops) {
        this.readIops = readIops;
    }

    public Double getReadLatencyUs() {
        return readLatencyUs;
    }

    public void setReadLatencyUs(Double readLatencyUs) {
        this.readLatencyUs = readLatencyUs;
    }

    public Double getTotalBandwidthKbyte() {
        return totalBandwidthKbyte;
    }

    public void setTotalBandwidthKbyte(Double totalBandwidthKbyte) {
        this.totalBandwidthKbyte = totalBandwidthKbyte;
    }

    public Double getTotalIops() {
        return totalIops;
    }

    public void setTotalIops(Double totalIops) {
        this.totalIops = totalIops;
    }

    public Double getWriteBandwidthKbyte() {
        return writeBandwidthKbyte;
    }

    public void setWriteBandwidthKbyte(Double writeBandwidthKbyte) {
        this.writeBandwidthKbyte = writeBandwidthKbyte;
    }

    public Double getWriteIops() {
        return writeIops;
    }

    public void setWriteIops(Double writeIops) {
        this.writeIops = writeIops;
    }

    public Double getWriteLatencyUs() {
        return writeLatencyUs;
    }

    public void setWriteLatencyUs(Double writeLatencyUs) {
        this.writeLatencyUs = writeLatencyUs;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
